<?php

use think\facade\Route;

Route::get('/', function () {
    return "<div style='text-align: center;margin-top: 25em'><h1>恭喜！站点搭建完成</h1></div>";
});
Route::miss(function () {
    return "<div style='text-align: center;margin-top: 25em'><h1>路由不存在</h1></div>";
});

Route::post('login', 'Index/login');//登录
Route::post('register', 'Index/doRegister');//注册
Route::post('logout', 'Index/logout');//退出
Route::post('getIndex', 'Index/getIndex');//获取首页数据
Route::post('getCustomer', 'Index/getCustomer');//获取客服列表
Route::post('getVipList', 'Index/getVipList');//获取VIP列表
Route::post('buyVip', 'Index/buyVip');//购买VIP
Route::post('getMesList', 'Index/getMesList');//获取消息列表
Route::post('setMesRead', 'Index/setMesRead');//设置消息已读
Route::post('getAppList', 'Index/getAppList');//获取app滚动列表
Route::post('getAppInfo', 'Index/getAppInfo');//获取app滚动详情
Route::post('getAgreement', 'Index/getAgreement');//获取协议
Route::post('bank_sys', 'Index/bank_sys');//银行列表

Route::post('getUserInfo', 'Account/getUserInfo');//获取用户基本数据
Route::post('changePass', 'Account/changePass');//更改密码
Route::post('getCard', 'Account/getCard');//获取银行信息
Route::post('setCard', 'Account/setCard');//设置银行信息
Route::post('setWithData', 'Account/setWithData');//申请提现
Route::post('getWithList', 'Account/getWithList');//提现列表
Route::post('getWalletList', 'Account/getWalletList');//钱包记录列表
Route::post('setRegData', 'Account/setRegData');//申请充值
Route::post('getRegList', 'Account/getRegList');//充值数据

Route::post('setOrder', 'Trade/setOrder');//生成订单
Route::post('commitOrder', 'Trade/commitOrder');//提交订单-分佣
Route::post('getOrderList', 'Trade/getOrderList');//订单列表
Route::post('getOrderInfo', 'Trade/getOrderInfo');//订单详情

Route::post('getHotPro', 'Trade/getHotPro');//热门商品
Route::post('getProPri', 'Trade/getProPri');//价格商品
Route::post('getConfig', 'Index/getConfig');//获取配置
Route::post('uploadProof', 'Account/uploadProof');//上传支付凭证
